$VAR1 = bless( {
                 'alias' => 'Planet',
                 'type' => 'creator',
                 'comment' => 'Example Plugin (needs Netpbm)
Creates a fractal forgery of a planet.
The parameter ``Hour\'\' determines the illumination.
The output will appear in the clipboard.',
                 'params' => {
                               '$int1' => {
                                            'alias' => 'Size',
                                            'val' => 32,
                                            'min' => '0',
                                            'default' => 48,
                                            'max' => 100
                                          },
                               '$int2' => {
                                            'alias' => 'Inclination (degrees)',
                                            'val' => '0',
                                            'min' => -90,
                                            'default' => '0',
                                            'max' => 90
                                          },
                               '$float1' => {
                                              'alias' => 'Hour',
                                              'val' => '12.0',
                                              'min' => '0',
                                              'default' => 12,
                                              'max' => 24
                                            },
                               '$float2' => {
                                              'alias' => 'Glaciers',
                                              'val' => '0.75',
                                              'min' => '0',
                                              'default' => '0.75',
                                              'max' => 2
                                            },
                               '$float3' => {
                                              'alias' => 'Ice',
                                              'val' => '0.1',
                                              'min' => '0',
                                              'default' => '0.1',
                                              'max' => 10
                                            }
                             },
                 'commandstring' => 'ppmforge -width $int1 -height $int1 -hour $float1 -glaciers $float2 -ice $float3 -inclination $int2 -stars 0 | ppmquant 256 | ppmtoxpm'
               }, 'Plugin' );
